package A;

/**
 * Interface A.d.
 * 
 * These link works: f1() and {@link #f1()}.
 *
 * But this one will not work: {@link #f1( int, short)}. It shows there is a link, but it is incorrect.
 * 
 * If I include the parameter annotation in the link, it seems to work: {@link #f1( int, @myAnnotation short)}.
 *
 * But how to do that when the annotation takes an argument: {@link #f2( int, short)}, {@link #f2( int, @myAnnotation short)},
 * {@link #f1( int, @myAnnotation( ) short)}
 * or {@link #f1( int, @myAnnotation( "Hello" ) short)}
 */
public interface a
{
	/**
	 * First function
	 * @param p1 first parameter.
	 * @param p2 second parameter.
	 * @return a value
	 */
	 public int f1(int p1, @myAnnotation short p2);

 	/**
	 * Second function
	 * @param p1 first parameter.
	 * @param p2 second parameter.
	 * @return a value
	 */
	 public int f2(int p1, @myAnnotation( "Hello" ) short p2);

	 }	
 